src.backend.lib.api_hooks.DuckDuckGo Class Reference

## Public Member Functions

def | __init__ (self)
def | image_result (self, query)
def | description_result (self, query)

## Public Attributes

| url
| imageurl

## Detailed Description

    duckduckgo related searching

## Constructor & Destructor Documentation

## __init__()

def src.backend.lib.api_hooks.DuckDuckGo.__init__ | ( |  | self | ) |

## Member Function Documentation

## description_result()

def src.backend.lib.api_hooks.DuckDuckGo.description_result | ( |  | self,
|  |  | query
| ) |  |

## image_result()

def src.backend.lib.api_hooks.DuckDuckGo.image_result | ( |  | self,
|  |  | query
| ) |  |

    Returns json containing url to image
    :param _key: &t=h_&iar=images&iax=images&ia=images&format=json&pretty=1

## Member Data Documentation

## imageurl

src.backend.lib.api_hooks.DuckDuckGo.imageurl

## url

src.backend.lib.api_hooks.DuckDuckGo.url

The documentation for this class was generated from the following file:

- src/backend/lib/api_hooks.py